org.fourthline.cling.transport.impl

## Class PullSOAPActionProcessorImpl

- java.lang.Object
- - org.fourthline.cling.transport.impl.SOAPActionProcessorImpl
  - - org.fourthline.cling.transport.impl.PullSOAPActionProcessorImpl

- All Implemented Interfaces:
    SOAPActionProcessor, ErrorHandler
  Direct Known Subclasses:
    RecoveringSOAPActionProcessorImpl

      @Alternative
      public class PullSOAPActionProcessorImpl
      extends SOAPActionProcessorImpl

  Implementation based on the Xml Pull Parser XML processing API.

  This processor is more lenient with parsing, looking only for the required XML tags.

  To use this parser you need to install an implementation of the XMLPull API.

  Author:
    Michael Pujos

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PullSOAPActionProcessorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `findActionArgumentValue(Map<String,String> entries, ActionArgument arg)`
    `protected Map<String,String>` | `getMatchingNodes(org.xmlpull.v1.XmlPullParser xpp, ActionArgument[] args)`
    `protected void` | `readActionInputArguments(org.xmlpull.v1.XmlPullParser xpp, ActionInvocation actionInvocation)`
    `protected void` | `readActionOutputArguments(org.xmlpull.v1.XmlPullParser xpp, ActionInvocation actionInvocation)`
    `protected ActionArgumentValue[]` | `readArgumentValues(org.xmlpull.v1.XmlPullParser xpp, ActionArgument[] args)`
    `void` | `readBody(ActionRequestMessage requestMessage, ActionInvocation actionInvocation)` Converts SOAP XML content of the request message and sets input argument values on the given invocation.
    `void` | `readBody(ActionResponseMessage responseMsg, ActionInvocation actionInvocation)` Converts SOAP XML content of the response message and sets output argument values on the given invocation.
    `protected void` | `readBodyElement(org.xmlpull.v1.XmlPullParser xpp)`
    `protected void` | `readBodyRequest(org.xmlpull.v1.XmlPullParser xpp, ActionRequestMessage requestMessage, ActionInvocation actionInvocation)`
    `protected void` | `readBodyResponse(org.xmlpull.v1.XmlPullParser xpp, ActionInvocation actionInvocation)`
    `protected ActionException` | `readFaultElement(org.xmlpull.v1.XmlPullParser xpp)`

    - ### Methods inherited from class org.fourthline.cling.transport.impl.SOAPActionProcessorImpl

      `createDocumentBuilderFactory, createValue, error, fatalError, findActionArgumentNode, getMatchingNodes, getMessageBody, getUnprefixedNodeName, readActionInputArguments, readActionOutputArguments, readActionRequestElement, readActionResponseElement, readArgumentValues, readBodyElement, readBodyFailure, readBodyRequest, readBodyResponse, readFaultElement, toString, warning, writeActionInputArguments, writeActionOutputArguments, writeActionRequestElement, writeActionResponseElement, writeBody, writeBody, writeBodyElement, writeBodyFailure, writeBodyRequest, writeBodyResponse, writeFaultElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static Logger log

  - ### Constructor Detail

    - #### PullSOAPActionProcessorImpl

          public PullSOAPActionProcessorImpl()

  - ### Method Detail

    - #### readBody

          public void readBody(ActionRequestMessage requestMessage,
                               ActionInvocation actionInvocation)
                        throws UnsupportedDataException

      Description copied from interface: `SOAPActionProcessor`
      Converts SOAP XML content of the request message and sets input argument values on the given invocation.
      Specified by:
        `readBody` in interface `SOAPActionProcessor`
      Overrides:
        `readBody` in class `SOAPActionProcessorImpl`
      Parameters:
        `requestMessage` - The request message from which SOAP content is read.
        `actionInvocation` - The action invocation on which input argument values are set.
      Throws:
        `UnsupportedDataException`

    - #### readBody

          public void readBody(ActionResponseMessage responseMsg,
                               ActionInvocation actionInvocation)
                        throws UnsupportedDataException

      Description copied from interface: `SOAPActionProcessor`
      Converts SOAP XML content of the response message and sets output argument values on the given invocation.
      Specified by:
        `readBody` in interface `SOAPActionProcessor`
      Overrides:
        `readBody` in class `SOAPActionProcessorImpl`
      Parameters:
        `responseMsg` - The response message from which SOAP content is read.
        `actionInvocation` - The action invocation on which output argument values are set.
      Throws:
        `UnsupportedDataException`

    - #### readBodyElement

          protected void readBodyElement(org.xmlpull.v1.XmlPullParser xpp)
                                  throws Exception

      Throws:
        `Exception`

    - #### readBodyRequest

          protected void readBodyRequest(org.xmlpull.v1.XmlPullParser xpp,
                                         ActionRequestMessage requestMessage,
                                         ActionInvocation actionInvocation)
                                  throws Exception

      Throws:
        `Exception`

    - #### readBodyResponse

          protected void readBodyResponse(org.xmlpull.v1.XmlPullParser xpp,
                                          ActionInvocation actionInvocation)
                                   throws Exception

      Throws:
        `Exception`

    - #### readActionInputArguments

          protected void readActionInputArguments(org.xmlpull.v1.XmlPullParser xpp,
                                                  ActionInvocation actionInvocation)
                                           throws Exception

      Throws:
        `Exception`

    - #### readActionOutputArguments

          protected void readActionOutputArguments(org.xmlpull.v1.XmlPullParser xpp,
                                                   ActionInvocation actionInvocation)
                                            throws Exception

      Throws:
        `Exception`

    - #### getMatchingNodes

          protected Map<String,String> getMatchingNodes(org.xmlpull.v1.XmlPullParser xpp,
                                                        ActionArgument[] args)
                                                 throws Exception

      Throws:
        `Exception`

    - #### readArgumentValues

          protected ActionArgumentValue[] readArgumentValues(org.xmlpull.v1.XmlPullParser xpp,
                                                             ActionArgument[] args)
                                                      throws Exception

      Throws:
        `Exception`

    - #### findActionArgumentValue

          protected String findActionArgumentValue(Map<String,String> entries,
                                                   ActionArgument arg)

    - #### readFaultElement

          protected ActionException readFaultElement(org.xmlpull.v1.XmlPullParser xpp)
                                              throws Exception

      Throws:
        `Exception`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.